package com.blong.test;

import android.os.Bundle;
import android.util.Log;
import android.content.Intent;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;

public class NativeActivitySubclass extends com.embarcadero.firemonkey.FMXNativeActivity {

	static final String TAG = "NativeActivitySubclass";
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		//Custom initialization
		Log.d(TAG, "onCreate");
	}
	
	public native boolean onActivityResultNative(int requestCode, int resultCode, Intent data);
	
	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data){
		Log.d(TAG, "onActivityResult(" + requestCode + ", " + resultCode + ", " + (data != null ? data : "(null)") + ")");
		if (!onActivityResultNative(requestCode, resultCode, data))
			super.onActivityResult(requestCode, resultCode, data);
	}
	
	public void showDialog(final String title, final String msg)
	{
		Log.d(TAG, "Displaying dialog");
		runOnUiThread(new Runnable() {
			public void run() {
				AlertDialog.Builder builder = new AlertDialog.Builder(NativeActivitySubclass.this);
				builder.setMessage(msg).
                        setTitle(title).
                        setCancelable(true).
                        setPositiveButton("OK", new OnClickListener(){
						public void onClick(DialogInterface dialog, int which)
						{
							dialog.dismiss();
						}
			      }).show();
			}
		});
	}

}
